import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:syncrow_app/utils/resource_manager/constants.dart';

class LocalizationService {
  static saveLocale(Locale locale) async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    await prefs.setString("Locale Language Code", locale.languageCode);
    if (locale.countryCode != null) {
      await prefs.setString("Locale Country Code", locale.countryCode!);
    }
  }

  static Future<Locale> savedLocale() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    var savedLanguageCode = prefs.getString(Constants.languageCode);
    var savedCountryCode = prefs.getString(Constants.countryCode);
    var savedLocale = const Locale("ar", "JO");

    if (savedCountryCode != null && savedLanguageCode != null) {
      savedLocale = Locale(savedLanguageCode, savedCountryCode);
    }

    return savedLocale;
  }
}
